org.h2.command.dml

## Class AlterSequence

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.dml.AlterSequence

    public class AlterSequence
    extends SchemaCommand

This class represents the statement ALTER SEQUENCE

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`AlterSequence(Session session, Schema schema)`

### Method Summary

Methods
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isTransactional()` Check if this command is transactional.
`void` `setCacheSize(Expression cacheSize)`
`void` `setColumn(Column column)`
`void` `setCycle(java.lang.Boolean cycle)`
`void` `setIfExists(boolean b)`
`void` `setIncrement(Expression increment)`
`void` `setMaxValue(Expression maxValue)`
`void` `setMinValue(Expression minValue)`
`void` `setSequenceName(java.lang.String sequenceName)`
`void` `setStartWith(Expression start)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSession, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterSequence

    public AlterSequence(Session session,
                 Schema schema)

### Method Detail

#### setIfExists

    public void setIfExists(boolean b)

#### setSequenceName

    public void setSequenceName(java.lang.String sequenceName)

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Overrides:
  `isTransactional` in class `DefineCommand`
Returns:
  true if it is

#### setColumn

    public void setColumn(Column column)

#### setStartWith

    public void setStartWith(Expression start)

#### setIncrement

    public void setIncrement(Expression increment)

#### setCycle

    public void setCycle(java.lang.Boolean cycle)

#### setMinValue

    public void setMinValue(Expression minValue)

#### setMaxValue

    public void setMaxValue(Expression maxValue)

#### setCacheSize

    public void setCacheSize(Expression cacheSize)

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type